# Generated by Django 3.0 on 2020-07-01 06:16

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Schedule',
            fields=[
                ('datetime_start', models.DateTimeField(db_column='START_DATE')),
                ('datetime_end', models.DateTimeField(db_column='END_DATE')),
                ('bms_code', models.CharField(db_column='CHANNEL_CODE', max_length=10)),
                ('schedule_date', models.CharField(db_column='SCHEDULE_DATE', max_length=10, primary_key=True, serialize=False)),
                ('schedule_time', models.CharField(db_column='SCHEDULE_TIME', max_length=8)),
                ('title_eng', models.CharField(db_column='TITLE_NAME_ENG', max_length=100)),
                ('title_tha', models.CharField(db_column='TITLE_NAME_THAI', max_length=100)),
                ('episode_name', models.CharField(db_column='EPISODE_NAME', max_length=100)),
                ('title_id', models.CharField(db_column='TITLE_ID', max_length=12)),
                ('episode_id', models.CharField(db_column='EPISODE_ID', max_length=12)),
                ('end_time', models.CharField(db_column='END_TIME', max_length=8)),
                ('telecast_type', models.CharField(db_column='TELECAST_TYPE', max_length=20)),
                ('title_type', models.CharField(db_column='TITLE_TYPE', max_length=20)),
                ('synopsis_eng', models.CharField(db_column='SYNOPSIS_ENG', max_length=4000)),
                ('synopsis_tha', models.CharField(db_column='SYNOPSIS_THA', max_length=4000)),
                ('digest_eng', models.CharField(db_column='DIGEST_ENG', max_length=4000)),
                ('digest_tha', models.CharField(db_column='DIGEST_THA', max_length=4000)),
                ('is_run_first', models.CharField(db_column='FIRST_RUN_FLAG', max_length=1)),
                ('home_team_id', models.CharField(db_column='HOME_TEAM_ID', max_length=12)),
                ('home_pvr_code', models.CharField(db_column='HOME_PVR_CODE', max_length=30)),
                ('home_team_name', models.CharField(db_column='HOME_TEAM_NAME', max_length=100)),
                ('away_team_id', models.CharField(db_column='AWAY_TEAM_ID', max_length=12)),
                ('away_pvr_code', models.CharField(db_column='AWAY_PVR_CODE', max_length=30)),
                ('away_team_name', models.CharField(db_column='AWAY_TEAM_NAME', max_length=100)),
                ('digital_code', models.CharField(db_column='DIGITAL_CODE', max_length=50)),
                ('pac_eps_no', models.IntegerField(db_column='PAC_EPS_NO')),
                ('category_group_code', models.CharField(db_column='CATEGORY_GROUP_CODE', max_length=10)),
            ],
            options={
                'db_table': 'SCH_BMS',
                'ordering': ['datetime_start'],
                'managed': False,
                'default_permissions': ('view',),
            },
        ),
    ]
